import {
  getUserInfo,
  setFans,
  getUserRead
} from '~/api/user'
import reachBottom from '~/mixins/reachBottom'
Page({
  behaviors: [reachBottom],
  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    // type为pk，顶部显示为pk时样式，user为默认样式
    type: 'user'
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    console.log(options);
    this.setData({
      type: options.type || 'user'
    })
    this.getUserInfo(options.uid)
  },
  async getUserInfo(uid) {
    let res = await getUserInfo({
      uid
    })
    this.setData({
      userInfo: res
    })
    this.resetData()
  },
  loadMore() {
    this.getData(getUserRead, {
      uid: this.data.userInfo.user.uid
    })
  },
  bindscrolltolower() {
    console.log('111');
  },
  // 关注
  async setFans() {
    let newLike = !this.data.userInfo.like
    await setFans({
      uid: this.data.userInfo.user.uid
    }, 'put')
    this.setData({
      ['userInfo.like']: newLike
    })
    wx.showToast({
      title: newLike ? '已关注' : '取消关注',
      icon: 'none'
    })
  },
  toPkPage({
    currentTarget
  }) {
    wx.navigateTo({
      url: `/pages/pkPage/index?videoId=${currentTarget.dataset.id}`
    })
  },
})