import behavior from '~/mixins/video'
import reachBottom from '~/mixins/reachBottom'
import share from '~/mixins/share'
import {
  getreadInfo
} from '~/api/video'
import {
  getPkRecord
} from '~/api/works'
Page({
  behaviors: [behavior, share, reachBottom],
  data: {
    videoInfo: {}
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    console.log(options);
    let videoId = options.videoId
    this.getreadInfo(videoId)
    this.resetData({
      userReadId: videoId
    })
  },
  async getreadInfo(videoId) {
    let videoInfo = await getreadInfo(videoId)
    wx.setNavigationBarTitle({
      title: videoInfo.userRead.title
    })

    this.setData({
      videoInfo
    })
  },
  loadMore(data) {
    this.getData(getPkRecord, data)
  },
  onHide() {
    this.setData({
      currentId: ''
    })
  }
})